> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get run-level default variables for wizard pre-population



## OpenAPI

````yaml get /api/migration/infrastructure-config/defaults
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/migration/infrastructure-config/defaults:
    get:
      tags:
        - Infrastructure configuration
      summary: Get run-level default variables for wizard pre-population
      operationId: get_defaults_api_migration_infrastructure_config_defaults_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MigrationRunDefaults'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    MigrationRunDefaults:
      properties:
        default_s3_bucket:
          anyOf:
            - type: string
            - type: 'null'
          title: Default S3 Bucket
        tracking_database:
          anyOf:
            - type: string
            - type: 'null'
          title: Tracking Database
        tracking_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Tracking Location
        report_output_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Report Output Location
        email_recipients:
          anyOf:
            - type: string
            - type: 'null'
          title: Email Recipients
        distcp_mappers:
          anyOf:
            - type: integer
            - type: 'null'
          title: Distcp Mappers
        distcp_bandwidth:
          anyOf:
            - type: integer
            - type: 'null'
          title: Distcp Bandwidth
        mapr_user:
          anyOf:
            - type: string
            - type: 'null'
          title: Mapr User
        mapr_ticketfile_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Mapr Ticketfile Location
        kinit_principal:
          anyOf:
            - type: string
            - type: 'null'
          title: Kinit Principal
        kinit_keytab:
          anyOf:
            - type: string
            - type: 'null'
          title: Kinit Keytab
      type: object
      title: MigrationRunDefaults
      description: Run-level defaults pre-populated from Airflow variables into the wizard.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````